From Fedora Project Wiki
(→‎Current status: Update status)
(→‎Current status: Status update)
Line 13: Line 13:
 
== Current status ==
 
== Current status ==
 
* Targeted release: [[Releases/18 | Fedora 18 ]]  
 
* Targeted release: [[Releases/18 | Fedora 18 ]]  
* Last updated: 2012-06-07
+
* Last updated: 2012-06-08
 
* Percentage of completion: 1 %
 
* Percentage of completion: 1 %
 
* Development Status:  
 
* Development Status:  
Line 24: Line 24:
 
* Rebuild dual-lived packages (otherwise yum recommends --skip-broken and fails)
 
* Rebuild dual-lived packages (otherwise yum recommends --skip-broken and fails)
 
* Rebuild packages needed for building source packages from git repository
 
* Rebuild packages needed for building source packages from git repository
 +
* Remove old perl(:MODULE_COMPAT_5.14.*) from perl
  
 
=== Items in progress ===
 
=== Items in progress ===
 +
* Rebuild other packages: Use Fedora::Rebuild dependency solver or ordered sets computed by Paul
 
* Rebuilt Perl packages: 42 of 2089 done (2.01 %)
 
* Rebuilt Perl packages: 42 of 2089 done (2.01 %)
  
 
=== Items still to be done ===
 
=== Items still to be done ===
* Remove old perl(:MODULE_COMPAT_5.14.*) from perl
 
* Rebuild other packages: Use Fedora::Rebuild dependency solver or ordered sets computed by Paul
 
 
* Undefine perl_bootstrap
 
* Undefine perl_bootstrap
 
* Rebuild packages having perl_bootstrap condition in spec file again
 
* Rebuild packages having perl_bootstrap condition in spec file again

Revision as of 08:39, 8 June 2012

Perl 5.16

Summary

Perl 5.16 brings a lot of changes. Details about them could be found at perl [delta]

Owner

Current status

  • Targeted release: Fedora 18
  • Last updated: 2012-06-08
  • Percentage of completion: 1 %
  • Development Status:

Completed items

  • Get dedicated build-root from rel-engs (f18-perl)
  • Define perl_bootstrap in perl-srpm-macros
  • Build new perl 5.16 keeping old COMPAT Provides
  • Rebuild packages needed for minimal build-root
  • Rebuild dual-lived packages (otherwise yum recommends --skip-broken and fails)
  • Rebuild packages needed for building source packages from git repository
  • Remove old perl(:MODULE_COMPAT_5.14.*) from perl

Items in progress

  • Rebuild other packages: Use Fedora::Rebuild dependency solver or ordered sets computed by Paul
  • Rebuilt Perl packages: 42 of 2089 done (2.01 %)

Items still to be done

  • Undefine perl_bootstrap
  • Rebuild packages having perl_bootstrap condition in spec file again
  • Merge dedicated build-root to rawhide and remove the dedicated one by rel-engs

Detailed Description

Perl releases will be now every year and updates during year will be containing mainly bug fixes. The release 5.16.0 should be stable release, but 5.16.1 should contain bugfixes for issues introduced in 5.16.0.

Benefit to Fedora

Fedora as bleeding edge distribution should be shipping new release of perl as one of the first distributions.

Scope

Everything will be rebuilt in testing buildroot dist-f18-perltest. 'fedpkg build --target dist-f18-perltest'

  • update perl to 5.16.1
  • update/fix/rebuild all perl modules
  • rebuild all other dependent packages -> file bugs to maintainers
  • in case no basic component is broken, then the packages could be tagged into dist-f18 buildroot

How To Test

Download packages from koji's buildroot dist-f16-perltest or try your packages with rebuild build requirements related to perl.

User Experience

Dependencies

repoquery --whatrequires --alldeps 'perl(:MODULE_COMPAT_5.1?.?)' | sort -u

Contingency Plan

Documentation

Release Notes

Comments and Discussion